summaryrefslogtreecommitdiff
path: root/proto/xcb-proto/autogen.sh
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2024-07-11 08:03:02 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2024-07-11 08:03:02 +0000
commit741167747bb978bed04ee56cb9911a8aabb8f3d4 (patch)
tree518fa56f3dca85001f423cb129cf7196bb28611f /proto/xcb-proto/autogen.sh
parenta9ef0e101c4f4e07e16b2c9f079ad15c89b27680 (diff)
Update to xcb-proto 1.17.0
Diffstat (limited to 'proto/xcb-proto/autogen.sh')
-rw-r--r--proto/xcb-proto/autogen.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/proto/xcb-proto/autogen.sh b/proto/xcb-proto/autogen.sh
index fc34bd55c..72cba586c 100644
--- a/proto/xcb-proto/autogen.sh
+++ b/proto/xcb-proto/autogen.sh
@@ -1,14 +1,17 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
+
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH xcbproto"
if test -z "$NOCONFIGURE"; then
- $srcdir/configure "$@"
+ exec "$srcdir"/configure "$@"
fi